#2454 closed defect (fixed)

Warning in threadqops.c

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This may apply to the 4.11 branch as well. I am not sure.

../../../../../../rtems/c/src/../../cpukit/score/src/threadqops.c:202:29: warning: passing argument 1 of '_RBTree_Initialize_empty' from incompatible pointer type

This happens building many/all BSPs.

Change History (4)

comment:1 Changed on Nov 4, 2015 at 6:41:32 AM by Sebastian Huber

Version: 4.114.12

comment:2 Changed on Nov 4, 2015 at 6:53:44 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.